#pragma once
#include "hw_button.h"
#include "bitmap_disp_buttons.h"
#include "ctrl_app_types.h"


void APP_init(APP_data_t *app_data);
void CTRL_buttonsInit(void);
void CTRL_buttonsHandler(void);
void CTRL_pushedDispBtnEvent(ButtonKey_t *key);
void CTRL_pushedChanBtnEvent(ButtonKey_t *key);
void CTRL_encoderEvent(int8_t enc);
BITMAP_buttonName_t CTRL_getBitmapName(LAY_dispBtn_t disp_btn);
